# TBasicTerrainFilter Class Reference

Inheritance diagram for TBasicTerrainFilter:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual void MCCOMAPI | Shuffle ()
virtual void MCCOMAPI | Filter (TMCArray< real > &heightField, TVector2 &heightBound, const TIndex2 &size, const TVector2 &cellSize)
virtual boolean MCCOMAPI | CanBuildPreview ()

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicTerrainFilter::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicDataExchanger.

virtual boolean MCCOMAPI TBasicTerrainFilter::CanBuildPreview | ( |  | ) | `[inline, virtual]`

Returns true if the filter is able to make a preview of the final map working on a smaller map

Implements I3DExTerrainFilter.

virtual void MCCOMAPI TBasicTerrainFilter::Filter | ( | TMCArray< real > & | heightField,
|  | TVector2 & | heightBound,
|  | const TIndex2 & | size,
|  | const TVector2 & | cellSize |
| ) |  |  | `[inline, virtual]`

Filter the height field. This is where the real work is done.

Parameters:

  | heightField | Array of real that defines the height field.
  | heightBound | Height min and max of the terrain (must be updated by this function if the height bounds changed)
  | size | size of the array
  | cellSize | size of a cell of the grid

Implements I3DExTerrainFilter.

virtual MCCOMErr MCCOMAPI TBasicTerrainFilter::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicDataExchanger.

virtual void MCCOMAPI TBasicTerrainFilter::Shuffle | ( |  | ) | `[inline, virtual]`

Should change the seed of the random generator used by this filter (if the filter has a random component).

Implements I3DExTerrainFilter.

The documentation for this class was generated from the following file:

- BasicTerrainFilter.h